Search found 475 matches

by Gift
Wed Oct 23, 2019 7:11 pm
Forum: Install / Compile
Topic: turtle in Python
Replies: 5
Views: 581

Re: turtle in Python

Hello Bernd,

1. Make the dir C:\0_BHA_privat\progr\FreeCAD_0.19.xxxxx_Py3Qt5\lib
2. Copy tcl8.6 from "FreeCADLibs_12.1.2_x64_VC15\lib" to the dir, that was created by step one.

kind regards
Benjamin
by Gift
Tue Oct 22, 2019 6:43 pm
Forum: Forum in Deutsch
Topic: [Gelöst]Debian Sid und Nouveau .... Appimage stürzt reproduzierbar ab
Replies: 5
Views: 413

Re: Debian Sid und Nouveau .... Appimage stürzt reproduzierbar ab

Ernst-Dieter wrote:
Tue Oct 22, 2019 7:22 am
...
Offensichtlich ist da was mit dem nouveau-Treiber ...... FRÜHER GING ES!!! (z.B. 0.19-17068)

Wer weiß mehr?

Gruß Ernst-Dieter
Onkel Google meint:

Code: Select all

QT_XCB_FORCE_SOFTWARE_OPENGL=1
export QT_XCB_FORCE_SOFTWARE_OPENGL
Bereits getestet?
by Gift
Fri Oct 18, 2019 4:05 pm
Forum: Forum in Deutsch
Topic: Linie teilen
Replies: 15
Views: 1165

Re: Linie teilen

Noch ein Script. Dieser erstellt ein Part::Vertex, dass dann auch die Achse der Linie enthält. Bei mehren ausgewählten Linien wird anschließend das Ergebnis gruppiert. import Part doc = App.ActiveDocument result = [] for sel in Gui.Selection.getSelectionEx(): for sub in sel.SubObjects: if isinstance...
by Gift
Fri Oct 18, 2019 7:25 am
Forum: Forum in Deutsch
Topic: echte 3D DXF Datei in Freecad zu Solid umwandeln
Replies: 34
Views: 1991

Re: echte 3D DXF Datei in Freecad zu Solid umwandeln

Wenn es nur um die Darstellung geht, kannst das Netz auswählen. Dann im Eigenschafteneditor unter Ansicht das Merkmal Lighting auf "two side" stellen.
by Gift
Fri Oct 18, 2019 7:14 am
Forum: Forum in Deutsch
Topic: Linie teilen
Replies: 15
Views: 1165

Re: Linie teilen

Das geometrische Element "Punkt" übersieht man gerne, weil die anderen Elemente immer ihre Punkte schon mitbringen. Mein Favorit wäre Variante 6: Einen zusätzlichen Punkt hernehmen und mit einer Symmetriebeschränkung auf die Linie legen. - Punkt neben (!) die Linie legen - Linie und Punkt selektier...
by Gift
Sat Oct 12, 2019 8:13 am
Forum: Forum in Deutsch
Topic: nurbs wb
Replies: 13
Views: 563

Re: nurbs wb

Ist denn die letzte Version von Nurbs installiert? Die wird mit einer neuen Version nicht mit Updates versorgt, sondern muss mit dem Addon Manager aktualisiert werden. berings.py#L23 Das ist im Master-Repo so drin. Konsequenterweise muss in Python3 die Methode "print" mit runden Klammern aufgerufen...
by Gift
Sat Oct 12, 2019 7:59 am
Forum: Forum in Deutsch
Topic: echte 3D DXF Datei in Freecad zu Solid umwandeln
Replies: 34
Views: 1991

Re: echte 3D DXF Datei in Freecad zu Solid umwandeln

Anbei mit einer Punktewolke. Aus der sollte sich ein Netz erstellen lassen.

Code: Select all

import Points
grp = []
for ln in result:
    if ln.z1() > 0.001:
       grp.append(FreeCAD.Vector(ln.x1(),ln.y1(),ln.z1()))



pts = Points.Points()
pts.addPoints(grp)
points = Points.show(pts)
by Gift
Fri Oct 11, 2019 9:14 pm
Forum: Forum in Deutsch
Topic: echte 3D DXF Datei in Freecad zu Solid umwandeln
Replies: 34
Views: 1991

Re: echte 3D DXF Datei in Freecad zu Solid umwandeln

Die DXF-Datei enthält einfach nur Linien. Ich hatte mal eine einfache DXF-Lib mit numpy gebastelt. Wenn du Konsole kopierst, kannst du die nachfolgenden Schritt testen: 1. fc_dxflib.py # a FreeCAD Library #*************************************************************************** #* (c) Benjamin Al...
by Gift
Fri Oct 11, 2019 7:20 pm
Forum: Forum in Deutsch
Topic: nurbs wb
Replies: 13
Views: 563

Re: nurbs wb

Hallo zusammen,

die Fehlermeldung zeigt eine fehlende Portierung auf Python 3. Da die Nurbs-WB sehr umfangreich ist, wäre das ein größeres Projekt. Welches Feature möchtest du nutzen?

Gruß
Benjamin